trackerd crashed with SIGSEGV in strstr()

Bug #147348 reported by Alex Zvoleff on 2007-09-30
236
Affects Status Importance Assigned to Milestone
tracker (Ubuntu)
Medium
Jamie McCracken

Bug Description

Binary package hint: tracker

Apparently the same as:
 #138399 trackerd crashed with SIGSEGV in strstr()
Fix Released, last updated 2007-09-18

But I still see it with the latest updates. When it crashed I was not actively using tracker, it was just indexing.

ProblemType: Crash
Architecture: i386
Date: Sun Sep 30 14:50:31 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/bin/trackerd
NonfreeKernelModules: kvm nvidia
Package: tracker 0.6.3-0ubuntu1
PackageArchitecture: i386
ProcCmdline: trackerd
ProcCwd: /home/azvoleff
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: tracker
Stacktrace:
 #0 0xb7b92f37 in strstr () from /lib/tls/i686/cmov/libc.so.6
 #1 0x080568a5 in ?? ()
 #2 0x00000000 in ?? ()
StacktraceTop:
 strstr () from /lib/tls/i686/cmov/libc.so.6
 ?? ()
 ?? ()
Title: trackerd crashed with SIGSEGV in strstr()
Uname: Linux azvoleff-laptop 2.6.22-12-generic #1 SMP Sun Sep 23 18:11:30 GMT 2007 i686 GNU/Linux
UserGroups: adm admin audio cdrom dialout dip floppy lpadmin netdev plugdev powerdev scanner video

Related branches

Alex Zvoleff (azvoleff) wrote :

StacktraceTop:strstr () from /lib/tls/i686/cmov/libc.so.6
tracker_indexer_merge_indexes (type=INDEX_TYPE_FILES) at tracker-indexer.c:194
process_files_thread () at trackerd.c:1158
g_thread_create_proxy (data=0x80f3710) at /build/buildd/glib2.0-2.14.1/glib/gthread.c:635
start_thread () from /lib/tls/i686/cmov/libpthread.so.0

Changed in tracker:
importance: Undecided → Medium

This bug looks misleading

(the call to tracker-status appears to have corrupted memory leading to crash elsewhere)

it appears you called tracker-status which precipitated this crash? Can you confirm?

Alex Zvoleff (azvoleff) wrote :

No, I did not call tracker-status. Tracker was indexing in the background.

I was not intentionally doing anything with tracker at the time, just
working in the browser.

On 10/4/07, Alex Zvoleff <email address hidden> wrote:
>
> No, I did not call tracker-status. Tracker was indexing in the
> background.
>
> --
> trackerd crashed with SIGSEGV in strstr()
> https://bugs.launchpad.net/bugs/147348
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Regards,

Steve

Joss Winn (josswinn) wrote :

Hello,

I was installing an OS on VMware at the time and wasn't using or calling
tracker as far as I know. There was a lot of disk activity and I just
figured that trackerd found the load too heavy.

Joss

On Thu, 2007-10-04 at 12:01 +0000, Jamie McCracken wrote:
> This bug looks misleading
>
> (the call to tracker-status appears to have corrupted memory leading to
> crash elsewhere)
>
> it appears you called tracker-status which precipitated this crash? Can
> you confirm?
>

Ok I have added safeguards to prevent the crasher in question - will do some more testing

Changed in tracker:
assignee: nobody → jamiemcc-blueyonder
status: New → In Progress
Changed in tracker:
status: In Progress → Fix Committed
Sebastien Bacher (seb128) wrote :

tracker (0.6.3-0ubuntu3) gutsy; urgency=low

  * debian/patches/tracker-crasher.patch:
    - patch from upstream, fix a crasher issue (LP: #147348)

 -- Sebastien Bacher <email address hidden> Mon, 15 Oct 2007 17:34:34 +0200

Changed in tracker:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers